
Base Language - Feature #1647

implement an option for SETUSERID and USERID to be backed by a replacement for the _USER table

10/21/2012 01:07 PM - Greg Shah

Status: Closed Start date: 07/11/2013

Priority: Normal Due date: 07/19/2013

Assignee: Eric Faulhaber % Done: 100%

Category:  Estimated time: 50.00 hours

Target version: Runtime Support for Server Features   

billable: No vendor_id: GCD

Description

Related issues:

Related to Database - Feature #2116: add runtime support for _user metadata t... Closed

History

#1 - 10/31/2012 01:34 PM - Greg Shah

- Target version set to Milestone 7

#2 - 02/25/2013 09:42 AM - Eugenie Lyzenko

Let me clarify some points.

1. Is the _USER table already implemented in P2J?

2. My work is to add conversion support for SETUSERID and USERID function? Or we need full implementation support?

#3 - 02/25/2013 09:49 AM - Greg Shah

I should have provided more information previously, sorry.

For now, all that needs to be done is to add support for the SETUSERID builtin function to the conversion as well as the runtime stubs in

.../p2j/util/SecurityOps.java.

The part about the _user table is for later.  That is runtime work.

As far as I know, we already support the USERID builtin, so nothing needs to be done for milestone 4 in that regard.

#4 - 02/25/2013 12:41 PM - Eugenie Lyzenko

- File setuserid_test_and_converted_20130225a.zip added

- File evl_upd20130225a.zip added

The suggested update has been uploaded. Also I have appended simple test and conversion result. The code drop merged with the recent bzr code

base(for known version 10201).

#5 - 02/25/2013 12:49 PM - Greg Shah

This looks good.  I will put it into conversion testing now.

#6 - 02/25/2013 02:27 PM - Greg Shah
Conversion testing passed.  Please check this in and distribute it.

#7 - 02/25/2013 02:36 PM - Eugenie Lyzenko

Committed in bzr as 10203.

#8 - 04/18/2013 04:49 PM - Greg Shah

- Estimated time changed from 40.00 to 50.00

#9 - 04/26/2013 09:31 AM - Eric Faulhaber

- Assignee set to Eric Faulhaber

#10 - 04/26/2013 09:35 AM - Eric Faulhaber

- Due date changed from 07/11/2013 to 07/19/2013

#11 - 12/12/2013 04:09 PM - Greg Shah

- % Done changed from 0 to 100

- Status changed from New to Closed

#12 - 11/16/2016 11:43 AM - Greg Shah

- Target version changed from Milestone 7 to Runtime Support for Server Features

Files

evl_upd20130225a.zip 14 KB 02/25/2013 Eugenie Lyzenko

setuserid_test_and_converted_20130225a.zip 823 Bytes 02/25/2013 Eugenie Lyzenko

Powered by TCPDF (www.tcpdf.org)

04/30/2024 2/2

http://www.tcpdf.org

